<?php
/**
 * @link https://www.saskaita123.lt
 * @package Saskaita123Plugin
 */

namespace S123\Includes\Base;

if (!defined('ABSPATH')) exit;

class S123_BaseController
{
    /**
     * Plugin path.
     *
     * @var string
     */
    public $plugin_path;

    /**
     * Plugin url.
     *
     * @var string
     */
    public $plugin_url;

    /**
     * Plugin basename.
     *
     * @var string
     */
    public $plugin_basename;

    /**
     * Plugin name.
     *
     * @var string
     */
    public $plugin_name;

    /**
     * Plugin option keys.
     *
     * @var array|null
     */
    protected $plugin_options = null;

    public function __construct() {
        $this->plugin_path = plugin_dir_path(dirname(__FILE__, 2));
        $this->plugin_url = plugin_dir_url(dirname(__FILE__, 2));
        $this->plugin_basename = plugin_basename(dirname(__FILE__, 3)) . '/s123-invoices.php';
        $this->plugin_name = 's123-invoices';
    }

    public function s123_get_option($key, $default = null)
    {
        $options = $this->s123_get_options();
        return $options[$key] ?? $default;
    }

    public function s123_update_options($options)
    {
        update_option($this->plugin_name, $options);
    }

    public function s123_get_options()
    {
        if (empty($this->plugin_options)) {
            $this->plugin_options = get_option($this->plugin_name);
        }
        return is_array($this->plugin_options) ? $this->plugin_options : [];
    }
}